<?php

namespace Domains\Support\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class SupportChatResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'finish' => $this->finish,
            'support_status' => $this->finish ==1 ? 'تم الإنتهاء':'جارى العمل',
            'support_question' => new SupportQuestionResource($this->support_question),
            'last_message' => new SupportMessageResource($this->support_messages->last()),
            'messages_count' => count($this->support_messages),
            'user' => new UserResource($this->user),
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'note' => $this->note,

        ];
    }
}
