<?php

namespace Domains\Support\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class SupportMessageResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'support_chat_id' => $this->support_chat_id,
            'message' => $this->message,
            'file' => $this->file <> null ? url(Storage::url($this->file)):"",
            'sender_id' => $this->sender_id,
            'sender' => new UserResource($this->sender),
            'sender_type' => $this->sender_type,
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),

        ];
    }
}
