<?php

namespace Domains\Support\Models;

use App\Models\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @package App\Models
 * @version October 10, 2023, 1:08 pm UTC
 *
 * @property string $title
 * @property string $desc
 * @property string $image
 * @property boolean $active
 */
class Support_chat  extends Model
{
    use SoftDeletes;

    protected $translatable = ['finish'];


    protected $fillable = ['support_question_id','user_id','finish','note'];

    protected $table = 'support_chats';


 public function support_question()
    {
        return $this->belongsTo(Support_question::class);
    }

    public function support_messages()
    {
        return $this->hasMany(Support_message::class);
    }


    public function user()
    {
        return $this->belongsTo(User::class);
    }


}
