<?php

namespace Domains\Support\Models;


use App\Models\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @package App\Models
 * @version October 10, 2023, 1:08 pm UTC
 *
 * @property string $title
 * @property string $desc
 * @property string $image
 * @property boolean $active
 */
class Support_message  extends Model
{
    use SoftDeletes;

    protected $fillable = ['support_chat_id', 'message', 'sender_id', 'sender_type','file'];

    protected $table = 'support_messages';


  public function chat()
    {
        return $this->belongsTo(Support_chat::class);
    }

    public function sender()
    {
        return $this->belongsTo(User::class,'sender_id');
    }



}
