<?php

namespace Domains\Support\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\Translatable\HasTranslations;

/**
 * @package App\Models
 * @version October 10, 2023, 1:08 pm UTC
 *
 * @property string $title
 * @property string $desc
 * @property string $image
 * @property boolean $active
 */
class Support_question  extends Model
{
    use SoftDeletes;

    protected $translatable = ['question','answer'];

    use HasTranslations;

    protected $fillable = ['question','answer','type'];

    protected $table = 'support_questions';


   public function support_chats()
       {
           return $this->hasMany(Support_chat::class);
       }


}
