<?php

namespace Domains\Support\Repositories;

use Domains\Base\Repositories\BaseRepository;
use Domains\Support\Models\Support_message;

/**
*/

class MessageRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected array $fieldSearchable = [
        'message',
        'sender_type',
        
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable(): array
    {
        return $this->fieldSearchable;
    }

    public function create(array $input): \Illuminate\Database\Eloquent\Model
    {
        $model = $this->model->newInstance($input);

        $model->save();

        return $model;
    }

    /**
     * Configure the Model
     **/
    public function model(): string
    {
        return Support_message::class;
    }
}
