<?php
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class  extends Migration
{
    public function up()
    {
        Schema::create('support_chats', function (Blueprint $table) {
            $table->id();
            $table->boolean('finish')->default(false);
            $table->timestamps();
            $table->foreignId('support_question_id')->constrained('support_questions')->onDelete('cascade');
            $table->foreignId('user_id')->constrained('users')->onDelete('cascade');
            $table->enum('type',['student', 'trainer'])->default('student');
            $table->boolean('active')->default(1);
            $table->softDeletes();

        });
    }

    public function down()
    {
        Schema::dropIfExists('support_chats');
    }
};
