<?php
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class  extends Migration
{
    public function up()
    {
        Schema::create('support_messages', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('support_chat_id');
            $table->text('message');
            $table->unsignedBigInteger('sender_id');
            $table->string('sender_type')->default('user');
            $table->timestamps();
            $table->foreign('support_chat_id')->references('id')->on('support_chats');
            $table->boolean('active')->default(1);
            $table->softDeletes();

        });
    }

    public function down()
    {
        Schema::dropIfExists('support_messages');
    }
};
