<?php

namespace Domains\Terms\Http\Resources;

use Domains\Country\Http\Resources\CountryResource;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class TermResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'content' => $this->content,
            'type' => $this->type,
            'country' => new \App\Http\Resources\CountryResource($this->country),
            'active' => $this->active,
        ];
    }
}
