<?php

namespace Domains\Terms\Repositories;

use Domains\Base\Repositories\BaseRepository;
use Domains\Terms\Models\Term;


class TermRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected array $fieldSearchable = [
        'title', 'content', 'active', 'country_id', 'type'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable(): array
    {
        return $this->fieldSearchable;
    }

    public function create(array $input): \Illuminate\Database\Eloquent\Model
    { 
        $model = $this->model->newInstance($input);

        $model->save();
       
        return $model;
    }

    /**
     * Configure the Model
     **/
    public function model(): string
    {
        return Term::class;
    }
}
